This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

BillingPlan

Overview

SCP BillingPlan Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP.

This guide provides a brief description of BillingPlan service and how to call API. The API is provided as a RESTful API, and it responds in JSON format.

Version

VersionStatusSupported Until
1.0CURRENT-

OpenAPI URL

https://billingplan.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

1 - APIs

1.1 - Change Request Planned Compute

1.1.1 - 1.0

put /v1/planned-computes/{planned_compute_id}

Description

Change action request planned compute.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathplanned_compute_id
required
Planned Compute Id
Example : 5f3688a192094ddeb0c94166a3e88935
stringNone
bodybody
required

PlannedComputeChangeRequest

Responses

HTTP CodeDescriptionSchema
200OKPlannedComputeResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/planned-computes/{planned_compute_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = billingplan 1.0"

Request body

{
    "action": "EXTEND_CHANGE",
    "contract_type": "01",
    "server_type": "s1v1m2"
}

Example HTTP response

Response 200

{
    "planned_compute": {
        "start_date": "2024-08-01",
        "end_date": "2024-08-01",
        "id": "5f3688a192094ddeb0c94166a3e88935",
        "contract_id": "C002612775",
        "account_id": "228cb9e4a7934f84853594c7f26f7a21",
        "region": "kr-west1",
        "service_id": "VIRTUAL_SERVER",
        "service_name": "Virtual Server",
        "os_type": "OPEN_SOURCE",
        "os_name": "Open Source",
        "server_type": "s1v1m2",
        "server_type_description": "",
        "srn": "srn:e::26affb52e16944038a0cd2cc26060e1c:kr1-west1::compute:instance/INSTANCE-UPOg3Z6ZqyiMM0QyC3sI2m",
        "resource_type": "instance",
        "contract_type": "1-year",
        "next_contract_type": "1-year",
        "first_contract_start_at": "2024-08-01",
        "next_start_date": "2024-08-01",
        "next_end_date": "2024-08-31",
        "state": "ACTIVE",
        "delete_yn": "N",
        "resource_name": "test-vm",
        "created_at": "2024-08-01 00:00:00",
        "created_by": "user123",
        "modified_at": "2024-08-01 00:00:00",
        "modified_by": "kim"
    }
}

1.2 - Create Request Planned Computes

1.2.1 - 1.0

post /v1/planned-computes

Description

Create request planned compute.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PlannedComputeCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKPlannedComputeResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/planned-computes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = billingplan 1.0"

Request body

{
    "service_id": "VIRTUAL_SERVER",
    "service_name": "Virtual Server",
    "server_type": "s1v1m2",
    "os_type": "OPEN_SOURCE",
    "contract_type": "01",
    "tag": [
        {
            "key": "key1",
            "value": "value1"
        }
    ]
}

Example HTTP response

Response 200

{
    "planned_compute": {
        "start_date": "2024-08-01",
        "end_date": "2024-08-01",
        "id": "5f3688a192094ddeb0c94166a3e88935",
        "contract_id": "C002612775",
        "account_id": "228cb9e4a7934f84853594c7f26f7a21",
        "region": "kr-west1",
        "service_id": "VIRTUAL_SERVER",
        "service_name": "Virtual Server",
        "os_type": "OPEN_SOURCE",
        "os_name": "Open Source",
        "server_type": "s1v1m2",
        "server_type_description": "",
        "srn": "srn:e::26affb52e16944038a0cd2cc26060e1c:kr1-west1::compute:instance/INSTANCE-UPOg3Z6ZqyiMM0QyC3sI2m",
        "resource_type": "instance",
        "contract_type": "1-year",
        "next_contract_type": "1-year",
        "first_contract_start_at": "2024-08-01",
        "next_start_date": "2024-08-01",
        "next_end_date": "2024-08-31",
        "state": "ACTIVE",
        "delete_yn": "N",
        "resource_name": "test-vm",
        "created_at": "2024-08-01 00:00:00",
        "created_by": "user123",
        "modified_at": "2024-08-01 00:00:00",
        "modified_by": "kim"
    }
}

1.3 - Get Planned Compute

1.3.1 - 1.0

get /v1/planned-computes/{planned_compute_id}

Description

Get planned compute.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathplanned_compute_id
required
Planned Compute Id
Example : 5f3688a192094ddeb0c94166a3e88935
stringNone

Responses

HTTP CodeDescriptionSchema
200OKPlannedComputeResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/planned-computes/{planned_compute_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = billingplan 1.0"

Example HTTP response

Response 200

{
    "planned_compute": {
        "start_date": "2024-08-01",
        "end_date": "2024-08-01",
        "id": "5f3688a192094ddeb0c94166a3e88935",
        "contract_id": "C002612775",
        "account_id": "228cb9e4a7934f84853594c7f26f7a21",
        "region": "kr-west1",
        "service_id": "VIRTUAL_SERVER",
        "service_name": "Virtual Server",
        "os_type": "OPEN_SOURCE",
        "os_name": "Open Source",
        "server_type": "s1v1m2",
        "server_type_description": "",
        "srn": "srn:e::26affb52e16944038a0cd2cc26060e1c:kr1-west1::compute:instance/INSTANCE-UPOg3Z6ZqyiMM0QyC3sI2m",
        "resource_type": "instance",
        "contract_type": "1-year",
        "next_contract_type": "1-year",
        "first_contract_start_at": "2024-08-01",
        "next_start_date": "2024-08-01",
        "next_end_date": "2024-08-31",
        "state": "ACTIVE",
        "delete_yn": "N",
        "resource_name": "test-vm",
        "created_at": "2024-08-01 00:00:00",
        "created_by": "user123",
        "modified_at": "2024-08-01 00:00:00",
        "modified_by": "kim"
    }
}

1.4 - GetCancellationFee

1.4.1 - 1.0

post /v1/planned-computes/cancellation-fee

Description

Get Cancellation Fee

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CancellationFeeRequest

Responses

HTTP CodeDescriptionSchema
200OKCancellationFeeResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/planned-computes/cancellation-fee

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = billingplan 1.0"

Request body

{
    "region": "kr-west1",
    "planned_compute_id": "5f3688a192094ddeb0c94166a3e88935"
}

Example HTTP response

Response 200

{
    "bill_year_month": "2022-10",
    "cancellation_fee": 100000,
    "currency": {
        "code": "KRW",
        "symbol": "₩"
    }
}

1.5 - List Contract Type

1.5.1 - 1.0

get /v1/planned-computes/contract-types

Description

Get Contract Type List.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
queryservice_id
optional
Service Id
Example : VIRTUAL_SERVER
stringNone
queryserver_type
optional
Server Type
Example : s1v1m2
stringNone

Responses

HTTP CodeDescriptionSchema
200OKContractTypeListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/planned-computes/contract-types

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = billingplan 1.0"

Example HTTP response

Response 200

{
    "contract_types": [
        {
            "code": "01",
            "display_name": "1-year"
        }
    ],
    "extension_types": [
        {
            "code": "01",
            "display_name": "1-year"
        }
    ]
}

1.6 - List OS System

1.6.1 - 1.0

get /v1/planned-computes/os-types

Description

Get Os System List.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
queryservice_id
optional
Service Id
Example : VIRTUAL_SERVER
stringNone

Responses

HTTP CodeDescriptionSchema
200OKOSTypeListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/planned-computes/os-types

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = billingplan 1.0"

Example HTTP response

Response 200

{
    "os_types": [
        {
            "os_type_id": "OPEN_SOURCE",
            "display_name": "Open Source",
            "os_type_value": "opensource"
        }
    ]
}

1.7 - List Planned Compute Covered Resource

1.7.1 - 1.0

get /v1/planned-computes/instances

Description

Get Planned Compute Covered Resource List.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
queryservice_id
required
Service Id
Example : VIRTUAL_SERVER
stringNone
queryos_type
required
OS Type
Example : OPEN_SOURCE
stringNone
queryserver_type
required
Server Type
Example : s1v1m2
stringNone
querystart_date
required
Start date (YYYY-MM-dd)
Example : 2024-08-01
stringNone
queryend_date
required
End date (YYYY-MM-dd)
Example : 2024-08-01
stringNone

Responses

HTTP CodeDescriptionSchema
200OKPlannedComputeResourceListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/planned-computes/instances?service_id={service_id}&os_type={os_type}&server_type={server_type}&start_date={start_date}&end_date={end_date}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = billingplan 1.0"

Example HTTP response

Response 200

{
    "service": {
        "service_id": "VIRTUAL_SERVER",
        "display_name": "Virtual Server"
    },
    "server_type": "s1v1m2",
    "server_type_description": "",
    "os": "OPEN_SOURCE",
    "order_count": "0",
    "amount": {
        "no_contract_used": 0,
        "used": 0,
        "non_applied": 0,
        "total": 0
    },
    "coverages": [
        {
            "resource_name": "test-vm",
            "contract_id": "C002612775",
            "used_time": "10",
            "unit_price": {
                "krw": "0.000",
                "usd": "0.00"
            },
            "used_amount": {
                "krw": "0.000",
                "usd": "0.00"
            },
            "non_applied_amount": {
                "krw": "0.000",
                "usd": "0.00"
            },
            "request_at": "2024-08-01 00:00:00"
        }
    ]
}

1.8 - ListPlannedComputes

1.8.1 - 1.0

get /v1/planned-computes

Description

Get planned compute list.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
querylimit
optional
LIMIT
Example : 10
integerNone
querypage
optional
Page
Example : 1
integerNone
querystart_date
optional
Start date (YYYY-MM-dd)
Example : 2024-08-01
stringNone
queryend_date
optional
End date (YYYY-MM-dd)
Example : 2024-08-01
stringNone
queryserver_type
optional
Server Type
Example : s1v1m2
any of [string, null]None
querycontract_id
optional
Contract Id
Example : C002612775
any of [string, null]None
querycontract_type
optional
Contract Type
Example : 01
array[string]None
querynext_contract_type
optional
Next Contract Type
Example : 01
array[string]None
queryservice_id
optional
Service Id
Example : VIRTUAL_SERVER
array[string]None
queryos_type
optional
OS Type
Example : OPEN_SOURCE
array[string]None
querystate
optional
Planned Compute State
Example : ACTIVE
array[string]None
querycreated_by
optional
Created by
Example : user123
stringNone
querymodified_by
optional
Modified by
Example : kim
stringNone
querysort
optional
Sort
Example : created_by:asc
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKPlannedComputeListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/planned-computes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = billingplan 1.0"

Example HTTP response

Response 200

{
    "planned_computes": [
        {
            "start_date": "2024-08-01",
            "end_date": "2024-08-01",
            "id": "5f3688a192094ddeb0c94166a3e88935",
            "contract_id": "C002612775",
            "account_id": "228cb9e4a7934f84853594c7f26f7a21",
            "region": "kr-west1",
            "service_id": "VIRTUAL_SERVER",
            "service_name": "Virtual Server",
            "os_type": "OPEN_SOURCE",
            "os_name": "Open Source",
            "server_type": "s1v1m2",
            "server_type_description": "",
            "srn": "srn:e::26affb52e16944038a0cd2cc26060e1c:kr1-west1::compute:instance/INSTANCE-UPOg3Z6ZqyiMM0QyC3sI2m",
            "resource_type": "instance",
            "contract_type": "1-year",
            "next_contract_type": "1-year",
            "first_contract_start_at": "2024-08-01",
            "next_start_date": "2024-08-01",
            "next_end_date": "2024-08-31",
            "state": "ACTIVE",
            "delete_yn": "N",
            "resource_name": "test-vm",
            "created_at": "2024-08-01 00:00:00",
            "created_by": "user123",
            "modified_at": "2024-08-01 00:00:00",
            "modified_by": "kim"
        }
    ],
    "total_pages": "0",
    "total_count": "0",
    "current_page": "0"
}

1.9 - ListServerType

1.9.1 - 1.0

get /v1/planned-computes/server-types

Description

Get Server Type List

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
queryservice_id
optional
Service Id
Example : VIRTUAL_SERVER
stringNone
querycurrent_server_type
optional
Server Type
Example : s1v1m2
any of [string, null]None
queryos_type
optional
OS Type
Example : OPEN_SOURCE
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKServerTypeListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/planned-computes/server-types

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = billingplan 1.0"

Example HTTP response

Response 200

{
    "server_types": [
        {
            "server_type": "s1v1m2",
            "server_type_description": "",
            "instance_type": "s1",
            "core": "1",
            "memory_gb": "2",
            "gpu_name": "a100",
            "scale_up_yn": "Y"
        }
    ]
}

1.10 - ListServiceType

1.10.1 - 1.0

get /v1/planned-computes/service-types

Description

Get Service Type List

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Responses

HTTP CodeDescriptionSchema
200OKProductListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/planned-computes/service-types

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = billingplan 1.0"

Example HTTP response

Response 200

{
    "services": [
        {
            "service_id": "VIRTUAL_SERVER",
            "display_name": "Virtual Server"
        }
    ]
}

2 - Models

2.1 - Amount

NameDescriptionSchemaDefault
krw
optional
KRW amount
Example : 0.000
string0.000
usd
optional
USD amount
Example : 0.00
string0.00

2.2 - CancellationFeeRequest

NameDescriptionSchemaDefault
region
optional
Region
Example : kr-west1
any of [string, null]
planned_compute_id
required
Planned Compute Id
Example : 5f3688a192094ddeb0c94166a3e88935
array[string]

2.3 - CancellationFeeResponse

NameDescriptionSchemaDefault
bill_year_month
required
Bill year Month
Example : 2022-10
string
cancellation_fee
optional
해지 수수료
Example : 100000
string
currency
required

Currency

2.4 - ContractTypeDTO

NameDescriptionSchemaDefault
code
optional
Contract Code
Example : 01
any of [string, null]
display_name
optional
Display Name
Example : 1-year
any of [string, null]

2.5 - ContractTypeListResponse

NameDescriptionSchemaDefault
contract_types
required

array[ContractTypeDTO]
extension_types
required

array[ContractTypeDTO]

2.6 - Currency

NameDescriptionSchemaDefault
code
optional
Currency code
Example : KRW
stringKRW
symbol
optional
Currency Symbol
Example :
string

2.7 - OSTypeDTO

NameDescriptionSchemaDefault
os_type_id
optional
OS Type id
Example : OPEN_SOURCE
any of [string, null]
display_name
optional
Display Name
Example : Open Source
any of [string, null]
os_type_value
optional
Display Name
Example : opensource
any of [string, null]

2.8 - OSTypeListResponse

NameDescriptionSchemaDefault
os_types
required

array[OSTypeDTO]

2.9 - PlannedComputeChangeRequest

NameDescriptionSchemaDefault
action
optional
Planned Compute change request action type
Example : EXTEND_CHANGE
enum (EXTEND_APPLY, EXTEND_CHANGE, EXTEND_CANCEL, SERVER_TYPE_CHANGE, CONTRACT_CANCEL, CHANGE_START_DATE, CREATE_PLAN)
contract_type
optional
Contract type is required in the case of EXTEND_APPLY or EXTEND_CHANGE
Example : 01
any of [enum (01, 03, 05), null]
server_type
optional
Server Type is required in the case of SERVER_TYPE_CHANGE
Example : s1v1m2
any of [string, null]

2.10 - PlannedComputeCreateRequest

NameDescriptionSchemaDefault
service_id
required
Service Id
Example : VIRTUAL_SERVER
string
service_name
optional
Service Name
Example : Virtual Server
string
server_type
required
Server Type
Example : s1v1m2
string
os_type
required
OS Type
Example : OPEN_SOURCE
enum (opensource, rhel, windows, sles)
contract_type
required
Contract Type
Example : 01
enum (01, 03, 05)
tag
optional
Tag Form
array[TagDTO]

2.11 - PlannedComputeDTO

NameDescriptionSchemaDefault
start_date
optional
Start date (YYYY-MM-dd)
Example : 2024-08-01
string
end_date
optional
End date (YYYY-MM-dd)
Example : 2024-08-01
string
id
optional
Planned Compute Id
Example : 5f3688a192094ddeb0c94166a3e88935
any of [string, null]
contract_id
optional
Contract Id
Example : C002612775
any of [string, null]
account_id
optional
Account Id
Example : 228cb9e4a7934f84853594c7f26f7a21
string
region
optional
Region
Example : kr-west1
string
service_id
optional
Service Id
Example : VIRTUAL_SERVER
string
service_name
optional
Service Name
Example : Virtual Server
string
os_type
optional
OS Type
Example : OPEN_SOURCE
string
os_name
optional
OS Name
Example : Open Source
string
server_type
optional
Server Type
Example : s1v1m2
string
server_type_description
optional
Server Type Description
Example :
object
srn
optional
SRN
Example : srn:e::26affb52e16944038a0cd2cc26060e1c:kr1-west1::compute:instance/INSTANCE-UPOg3Z6ZqyiMM0QyC3sI2m
string
resource_type
optional
Resource Type
Example : instance
string
contract_type
optional
Contract Type
Example : 1-year
string01
next_contract_type
optional
Next Contract Type
Example : 1-year
any of [string, null]
first_contract_start_at
optional
Start date (YYYY-MM-dd)
Example : 2024-08-01
string
next_start_date
optional
Next Start date (YYYY-MM-dd)
Example : 2024-08-01
any of [string, null]
next_end_date
optional
Next End date (YYYY-MM-dd)
Example : 2024-08-31
any of [string, null]
state
optional
Planned Compute State
Example : ACTIVE
stringACTIVE
delete_yn
optional
Delete or not
Example : N
any of [string, null]
resource_name
optional
Resource Name
Example : test-vm
any of [string, null]
created_at
optional
Created date
Example : 2024-08-01 00:00:00
string (date-time)
created_by
optional
Created by
Example : user123
any of [string, null]
modified_at
optional
Modified date
Example : 2024-08-01 00:00:00
string (date-time)
modified_by
optional
Modified by
Example : kim
any of [string, null]

2.12 - PlannedComputeListResponse

NameDescriptionSchemaDefault
planned_computes
required

array[PlannedComputeDTO]
total_pages
optional
Total Pages
Example : 0
integer
total_count
optional
Total Count
Example : 0
integer
current_page
optional
Current Page
Example : 0
integer

2.13 - PlannedComputeResourceListResponse

NameDescriptionSchemaDefault
service
optional
Product Type Name
ProductResponse
server_type
optional
Server Type
Example : s1v1m2
string
server_type_description
optional
Server Type Description
Example :
object
os
optional
OS Type
Example : OPEN_SOURCE
OSTypeDTO
order_count
optional
Order Count
Example : 0
integer
amount
optional
Resource Group Amount
ResourceGroupTotalAmountDTO
coverages
required

array[ResourceUsedAmountDTO]

2.14 - PlannedComputeResponse

NameDescriptionSchemaDefault
planned_compute
required

PlannedComputeDTO

2.15 - ProductListResponse

NameDescriptionSchemaDefault
services
required

array[ProductResponse]

2.16 - ProductResponse

NameDescriptionSchemaDefault
service_id
optional
Service Id
Example : VIRTUAL_SERVER
any of [string, null]
display_name
optional
Display Name
Example : Virtual Server
any of [string, null]

2.17 - ResourceGroupTotalAmountDTO

NameDescriptionSchemaDefault
no_contract_used
optional
No Contract Used
Example : 0
any of [Amount, null]
used
optional
Used amount
Example : 0
any of [Amount, null]
non_applied
optional
Non Applied Amount
Example : 0
any of [Amount, null]
total
optional
Total Amounts
Example : 0
any of [Amount, null]

2.18 - ResourceUsedAmountDTO

NameDescriptionSchemaDefault
resource_name
optional
Resource Name
Example : test-vm
any of [string, null]
contract_id
optional
Contract Id
Example : C002612775
any of [string, null]
used_time
optional
Used time Hour
Example : 10
any of [integer, null]
unit_price
optional
Unit Price
any of [Amount, null]
used_amount
optional
Used amount
any of [Amount, null]
non_applied_amount
optional
Non Applied Amount
any of [Amount, null]
request_at
optional
Request At
Example : 2024-08-01 00:00:00
any of [string, null]

2.19 - ServerTypeDTO

NameDescriptionSchemaDefault
server_type
optional
Server Type
Example : s1v1m2
any of [string, null]
server_type_description
optional
Server Type Description
Example :
any of [string, null]
instance_type
optional
Instance Type
Example : s1
any of [string, null]
core
optional
Instance Core
Example : 1
any of [string, null]
memory_gb
optional
Instance Memory GB
Example : 2
any of [string, null]
gpu_name
optional
Gpu Model Name
Example : a100
any of [string, null]
scale_up_yn
optional
Scale up or not. If server_type > current_server_type, it’s represented as Y. if smaller N.
Example : Y
booleanTrue

2.20 - ServerTypeListResponse

NameDescriptionSchemaDefault
server_types
required

array[ServerTypeDTO]

2.21 - TagDTO

NameDescriptionSchemaDefault
key
required
Tag Key
Example : key1
string
value
optional
Tag Value
Example : value1
any of [string, null]